Class | Stella::Usecase
In: | lib/stella/testplan.rb
Parent: | Storable

### Methods

checkup freeze from_hash id inherited names new postprocess preprocess ucid

### Included Modules

Gibbler::Complex

### Classes and Modules

Module Stella::Usecase::ClassMethods

### Attributes

instance | [RW] |
registered_classes | [R] | The class syntax uses the session method defined in ClassMethods. This is here for autogenerated usecases and ones loaded from JSON.
session | [R] | The class syntax uses the session method defined in ClassMethods. This is here for autogenerated usecases and ones loaded from JSON.
testplan | [RW] |

### Public Class methods

checkup(base_uri, opts={})
from_hash(*args)
inherited(obj)
names()
new(req=nil)

### Public Instance methods

freeze()
id()
postprocess()
preprocess()
ucid()

Alias for id

[Validate]